<div>{{ pagination|raw }}</div>
<div class='button_bar'>
    <div class='button_break'></div>
    <div class='buttons_right'>
        <div class='legend approved'>
            <span class='swatch'></span>{{ wfMessage('claim_legend_approved').escaped() }}
        </div>
        <div class='legend denied'>
            <span class='swatch'></span>{{ wfMessage('claim_legend_denied').escaped() }}
        </div>
        <div class='legend pending'>
            <span class='swatch'></span>{{ wfMessage('claim_legend_pending').escaped() }}
        </div>
        <div class='legend inactive'>
            <span class='swatch'></span>{{ wfMessage('claim_legend_inactive').escaped() }}
        </div>
        <a href='{{ logUrl }}' class='mw-ui-button'>{{ wfMessage('claim_log').escaped() }}</a>
    </div>
</div>
<table id='claimlist'>
    <thead>
        <tr class='sortable' data-sort-dir='{{ sortDir == 'desc' ? 'desc' : 'asc' }}'>
            <th class='unsortable'>{{ wfMessage('claim_user').escaped() }}</th>
            <th{{ sortKey == 'claim_timestamp' ? " data-selected='true'" : '' }}><span data-sort='claim_timestamp'{{ sortKey == 'claim_timestamp' ? " data-selected='true'" : '' }}>{{ wfMessage('claim_timestamp').escaped() }}</span></th>
            <th{{ sortKey == 'start_timestamp' ? " data-selected='true'" : '' }}><span data-sort='start_timestamp'{{ sortKey == 'start_timestamp' ? " data-selected='true'" : '' }}>{{ wfMessage('start_timestamp').escaped() }}</span></th>
            <th{{ sortKey == 'end_timestamp' ? " data-selected='true'" : '' }}><span data-sort='end_timestamp'{{ sortKey == 'end_timestamp' ? " data-selected='true'" : '' }}>{{ wfMessage('end_timestamp').escaped() }}</span></th>
            <th class='controls unsortable'>&nbsp;</th>
        </tr>
    </thead>
    <tbody>
    {% if is_array(claims) and count(claims) %}

    {% for claim in claims %}
        <tr class='{{ strtolower(wfMessage(claim.getStatusKey()).plain()) }}'>
            <td><a href='{{ wikiClaimsPage.getFullURL({'do': 'view', 'claim_id': claim.getId()}) }}'>{{ claim.getUser().getName() }}</a></td>
            <td><span data-sort='claim_timestamp'{{ sortKey == 'claim_timestamp' ? " data-selected='true'" : '' }}>{{ claim.getTimestamp('claim') ? date('Y-m-d H:i e', claim.getTimestamp('claim')) : wfMessage('never').escaped() }}</span></td>
            <td><span data-sort='start_timestamp'{{ sortKey == 'start_timestamp' ? " data-selected='true'" : '' }}>{{ claim.getTimestamp('start') ? date('Y-m-d H:i e', claim.getTimestamp('start')) : wfMessage('never').escaped() }}</span></td>
            <td><span data-sort='end_timestamp'{{ sortKey == 'end_timestamp' ? " data-selected='true'" : '' }}>{{ claim.getTimestamp('end') ? date('Y-m-d H:i e', claim.getTimestamp('end')) : wfMessage('never').escaped() }}</span></td>
            <td class='controls'>
                <div class='controls_container'>
                    <img src='{{ wfExpandUrl('/extensions/ClaimWiki/images/wikilist/tools.png') }}'/>
                    <span class='dropdown'>
                        {% if claim.isNew() or claim.isPending() or claim.isDenied() %}
                        <a
                            href='{{ wikiClaimsPage.getFullURL({'do': 'approve', 'user_id': claim.getUser().getId()}) }}'
                            title='{{ wfMessage('approve_claim').escaped() }}'>
                                <img src='{{ wfExpandUrl('/extensions/ClaimWiki/images/green_check.png') }}' />
                                {{ wfMessage('approve_claim').escaped() }}
                        </a>
                        {% endif %}
                        {% if claim.isInactive() %}
                        <a
                            href='{{ wikiClaimsPage.getFullURL({'do': 'resume', 'user_id': claim.getUser().getId()}) }}'
                            title='{{ wfMessage('resume_claim').escaped() }}'>
                                <img src='{{ wfExpandUrl('/extensions/ClaimWiki/images/green_check.png') }}' />
                                {{ wfMessage('resume_claim').escaped() }}
                        </a>
                        {% endif %}
                        {% if claim.isApproved() %}
                        <a
                            href='{{ wikiClaimsPage.getFullURL({'do': 'inactive', 'user_id': claim.getUser().getId()}) }}'
                            title='{{ wfMessage('mark_inactive').escaped() }}'>
                                <img src='{{ wfExpandUrl('/extensions/ClaimWiki/images/yellow_check.png') }}'/>
                                {{ wfMessage('mark_inactive').escaped() }}
                        </a>
                        {% endif %}
                        {% if not claim.isDenied() %}
                        <a
                            href='{{ wikiClaimsPage.getFullURL({'do': 'deny', 'user_id': claim.getUser().getId()}) }}'
                            title='{{ wfMessage('deny_claim').escaped() }}'>
                                <img src='{{ wfExpandUrl('/extensions/ClaimWiki/images/red-x.png') }}'/>
                                {{ wfMessage('deny_claim').escaped() }}
                        </a>
                        {% endif %}

                        {% if claim.isNew() %}
                        <a
                            href='{{ wikiClaimsPage.getFullURL({'do': 'pending', 'user_id': claim.getUser().getId()}) }}'
                            title='{{ wfMessage('pending_claim').escaped() }}'>
                                <img src='{{ wfExpandUrl('/extensions/ClaimWiki/images/pending.png') }}'/>
                                {{ wfMessage('pending_claim').escaped() }}
                        </a>
                        {% endif %}
                        {% if claim.isNew() or claim.isInactive() or claim.isDenied() %}
                        <a
                            href='{{ wikiClaimsPage.getFullURL({'do': 'delete', 'user_id': claim.getUser().getId()}) }}'
                            title='{{ wfMessage('delete_claim').escaped() }}'>
                                <img src='{{ wfExpandUrl('/extensions/ClaimWiki/images/delete.png') }}'/>
                                {{ wfMessage('delete_claim').escaped() }}
                        </a>
                        {% endif %}
                    </span>
                </div>
            </td>
        </tr>
    {% endfor %}

    {% else %}
        <tr>
            <td colspan='5'>{{ wfMessage('no_claims_found').text() }}</td>
        </tr>
    {% endif %}
    </tbody>
</table>

<div>{{ pagination|raw }}</div>
